Bug 570824 - Timedrift on VM with pv_clock enabled, causing system hangs and sporadic time behaviour
Summary: Timedrift on VM with pv_clock enabled, causing system hangs and sporadic time...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Glauber Costa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 523471 584310 587150 588997 599034 619311 (view as bug list)
Depends On: 531268
Blocks: 528898 531025 537027 562808 Rhel5KvmTier1 601080
TreeView+ depends on / blocked
 
Reported: 2010-03-05 14:31 UTC by lihuang
Modified: 2018-12-06 14:35 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Red Hat Enterprise Linux 5.4 SMP guests running on the Red Hat Enterprise Virtualization Hypervisor may have experienced inconsistent time, such as the clock drifting backwards. This could have caused some applications to become unresponsive.
Clone Of: 531268
: 589963 (view as bug list)
Environment:
Last Closed: 2011-01-13 20:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Comment 2 RHEL Product and Program Management 2010-05-24 14:33:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Glauber Costa 2010-06-11 02:32:56 UTC
*** Bug 599034 has been marked as a duplicate of this bug. ***

Comment 11 Jarod Wilson 2010-06-14 18:22:58 UTC
in kernel-2.6.18-203.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 12 Glauber Costa 2010-06-22 13:22:43 UTC
*** Bug 588997 has been marked as a duplicate of this bug. ***

Comment 13 Glauber Costa 2010-06-28 13:07:43 UTC
*** Bug 584310 has been marked as a duplicate of this bug. ***

Comment 15 Douglas Silas 2010-06-28 20:52:49 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Red Hat Enterprise Linux 5.4 SMP guests running on the Red Hat Enterprise Virtualization Hypervisor may have experienced inconsistent time, such as the clock driftingbackwards. This could have caused some applications to become unresponsive.

Comment 16 Need Real Name 2010-06-28 22:00:00 UTC
Can I add that this fix description doesn't match what I experienced at all: the *kernel* hogged 100% cpu and the guest was as good as unusable: no attempts to connect by any method, console or otherwise, worked.

Comment 17 Douglas Silas 2010-06-29 09:02:02 UTC
Glauber,

Could you please check the Technical Note for this bug to ensure it matches the conditions and fix?

Thank you,

Silas

Comment 18 Douglas Silas 2010-06-29 09:02:02 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Red Hat Enterprise Linux 5.4 SMP guests running on the Red Hat Enterprise Virtualization Hypervisor may have experienced inconsistent time, such as the clock driftingbackwards. This could have caused some applications to become unresponsive.+Red Hat Enterprise Linux 5.4 SMP guests running on the Red Hat Enterprise Virtualization Hypervisor may have experienced inconsistent time, such as the clock drifting backwards. This could have caused some applications to become unresponsive.

Comment 19 Glauber Costa 2010-06-29 12:59:35 UTC
comment #16: Sure, but unfortunately, problems that are generated by time drifts are unpredictable at best.

comment #18: driftingbackwards => drifting backwards, otherwise, ok.

Comment 20 Douglas Silas 2010-06-29 13:02:49 UTC
Fixed "driftingbackwards" earlier in the Tech Notes field. Thanks for the response; leaving note as-is.

Comment 21 Glauber Costa 2010-06-29 13:45:26 UTC
*** Bug 587150 has been marked as a duplicate of this bug. ***

Comment 24 Glauber Costa 2010-06-30 15:25:07 UTC
*** Bug 523471 has been marked as a duplicate of this bug. ***

Comment 26 Glauber Costa 2010-08-26 12:54:52 UTC
*** Bug 619311 has been marked as a duplicate of this bug. ***

Comment 27 juzhang 2010-11-19 07:49:38 UTC
Running gettimeofday for 32hours .No find timedrift.

Host kernel:
#uname -r
2.6.18-230.el5
Guest Kernel:
2.6.18-231.el5


Result
=============+=======+=====
64bitrhel5.6 | amd | pass
64bitrhel5.6 | Intel | pass
32bitrhel5.6 | amd | pass
32bitrhel5.6 | Intel | pass 
===========================

CLI
/usr/libexec/qemu-kvm -drive file=/root/RHEL-server-5.6-32.raw,if=virtio,boot=on,format=raw -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -smp 2 -m 2G -net nic,model=virtio,macaddr=20:20:20:11:23:5f,vlan=0 -net tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 -name 64 -monitor stdio -vnc :10 -no-kvm-pit-reinjection

/usr/libexec/qemu-kvm -drive file=/root/RHEL-Server-5.6-64.qcow2,if=virtio,boot=on -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -smp 2 -m 2G -net nic,model=virtio,macaddr=20:20:20:11:23:51,vlan=0 -net tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 -name 64 -monitor stdio -vnc :9 -no-kvm-pit-reinjection

/usr/libexec/qemu-kvm -drive file=/root/RHEL-server-5.6-32.raw,if=virtio,boot=on,format=raw -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -smp 2 -m 2G -net nic,model=virtio,macaddr=20:20:20:11:23:5f,vlan=0 -net tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 -name 64 -monitor stdio -vnc :10 -no-kvm-pit-reinjection

/usr/libexec/qemu-kvm -drive file=/root/RHEL-Server-5.6-64.qcow2,if=virtio,boot=on -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -smp 2 -m 2G -net nic,model=virtio,macaddr=20:20:20:11:23:51,vlan=0 -net tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 -name 64 -monitor stdio -vnc :9 -no-kvm-pit-reinjection

Steps:
1.Boot a rhel5.6 guest
2.Run #./gettimeofday  inside guest
3.All guests current clock source is kvm-clock

AMD HOST
 cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 2
model name	: AMD Phenom(tm) 9600B Quad-Core Processor
stepping	: 3
cpu MHz		: 1200.000
cache size	: 512 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc nonstop_tsc pni cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy altmovcr8 abm sse4a misalignsse 3dnowprefetch osvw
bogomips	: 4587.49
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate [8]

Intel HOST
#cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 26
model name	: Intel(R) Xeon(R) CPU           X5550  @ 2.67GHz
stepping	: 5
cpu MHz		: 1596.000
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx rdtscp lm constant_tsc ida nonstop_tsc pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr sse4_1 sse4_2 popcnt lahf_lm
bogomips	: 5333.67
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual

Comment 29 errata-xmlrpc 2011-01-13 20:38:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.